org.apache.hadoop.yarn.security.client

## Class BaseClientToAMTokenSecretManager

- java.lang.Object
- - org.apache.hadoop.security.token.SecretManager<ClientToAMTokenIdentifier>
  - - org.apache.hadoop.yarn.security.client.BaseClientToAMTokenSecretManager

- Direct Known Subclasses:
    ClientToAMTokenSecretManager

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class BaseClientToAMTokenSecretManager
      extends SecretManager<ClientToAMTokenIdentifier>

  A base `SecretManager` for AMs to extend and validate Client-RM tokens issued to clients by the RM using the underlying master-key shared by RM to the AMs on their launch. All the methods are called by either Hadoop RPC or YARN, so this class is strictly for the purpose of inherit/extend and register with Hadoop RPC.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseClientToAMTokenSecretManager()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.security.token.SecretManager

      `checkAvailableForRead, createIdentifier, createPassword, createPassword, createSecretKey, generateSecret, retriableRetrievePassword, retrievePassword`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseClientToAMTokenSecretManager

          public BaseClientToAMTokenSecretManager()

Copyright © 2022 Apache Software Foundation. All rights reserved.